Issue 113333 - D&D in a listbox doesn't work
Summary: D&D in a listbox doesn't work
Status: CLOSED FIXED
Alias: None
Product: gsl
Classification: Code
Component: code (show other issues)
Version: DEV300m83
Hardware: All All
: P3 Trivial (vote)
Target Milestone: OOo 3.3
Assignee: ocke.janssen
QA Contact: issues@gsl
URL:
Keywords:
Depends on:
Blocks: 111112
  Show dependency tree
 
Reported: 2010-07-21 13:13 UTC by ocke.janssen
Modified: 2010-10-05 08:22 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Patch (28.68 KB, patch)
2010-07-21 13:31 UTC, ocke.janssen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description ocke.janssen 2010-07-21 13:13:19 UTC
Pseudo code:

- add a listener to the listbox window

XWindowPeer peer = UnoRuntime.queryInterface(XControl.class, xListBox).getPeer();
            XDataTransferProviderAccess acc =
UnoRuntime.queryInterface(XDataTransferProviderAccess.class, peer.getToolkit());
            XDragGestureRecognizer recognizer =
acc.getDragGestureRecognizer(UnoRuntime.queryInterface(XWindow.class, peer));
            recognizer.addDragGestureListener(actionListener);
            XDropTarget target = UnoRuntime.queryInterface(XDropTarget.class,
recognizer);
            target.addDropTargetListener(new DropListener(xListBox));
            target.setActive(true);

=> The drop symbol is only visible at the border of the control.
Comment 1 ocke.janssen 2010-07-21 13:31:58 UTC
Created attachment 70759 [details]
Patch
Comment 2 philipp.lohmann 2010-07-21 17:29:27 UTC
comitted in CWS ooo33gsl03
Comment 4 ocke.janssen 2010-07-23 10:25:30 UTC
Verified.
Comment 5 ocke.janssen 2010-10-05 08:22:08 UTC
Closing